version: '3.2'
services:
  cockroachdb_1:
    image: cockroachdb/cockroach:latest
    volumes:
      - ./target/data/node_1:/cockroach/cockroach-data
    command: start --insecure
    ports:
      - "26257:26257"
      - "9080:8080"
    networks:
      cockroachdb_net:
        aliases:
          - node_1
  cockroachdb_2:
    image: cockroachdb/cockroach:latest
    volumes:
      - ./target/data/node_2:/cockroach/cockroach-data
    command: start --insecure --join=node_1
    networks:
      cockroachdb_net:
        aliases:
          - node_2

networks:
  cockroachdb_net:
    driver: bridge
